<!DOCTYPE html>
<html lang="en">
  <head>
    <link
      href="https://fonts.googleapis.com/css?family=JetBrains Mono"
      rel="stylesheet"
    />
    <title>Register</title>
    <link rel="stylesheet" href="styles.css" />
  </head>
  <body>
    <nav>
      <a href="/"
        ><img src="/logo.svg" alt="Hacktoberfest 2023" class="logo"
      /></a>
      <div class="buttons">
        <a href="/" class="font-button underline">Register</a>
        <a href="/page2.html" class="font-button">Participants</a>
      </div>
      <div class="filler"></div>
    </nav>
    <main>
      <div class="top-container">
        <h1 class="title">REGISTER HERE</h1>
        <div class="description">
          <h2 class="first-line">Welcome to Hacktoberfest 2023</h2>
          <h2 class="second-line">
            Fill in your information in order to register
          </h2>
        </div>
      </div>
      <div class="bottom-container">
        <form>
          <div class="form-line">
            <div class="form-field">
              <h3 for="fname">First name <span>*</span></h3>
              <input
                class="custom-input"
                type="text"
                id="fname"
                name="fname"
                placeholder="| Enter your name"
              />
            </div>
            <div class="form-field">
              <h3 for="lname">Last name <span>*</span></h3>
              <input
                class="custom-input"
                type="text"
                id="lname"
                name="lname"
                placeholder="| Enter your lastname"
              />
            </div>
          </div>

          <div class="form-line">
            <div class="form-field">
              <h3 for="gitlab">Gitlab ID <span>*</span></h3>
              <input
                class="custom-input"
                type="text"
                id="gitlab"
                name="gitlab"
                placeholder="| Enter your Gitlab ID"
              />
            </div>
            <div class="form-field">
              <h3 for="kaggle">Kaggle ID <span>*</span></h3>
              <input
                class="custom-input"
                type="text"
                id="kaggle"
                name="kaggle"
                placeholder="| Enter your Kaggle ID"
              />
            </div>
          </div>

          <div class="form-line">
            <div class="form-field">
              <h3 for="status">Status</h3>
              <select
                class="custom-select custom-input"
                id="status"
                name="status"
              >
                <option value="" selected disabled hidden>
                  Select your status
                </option>
                <option value="Student">Student</option>
                <option value="Job1">Software Engineer</option>
                <option value="Job2">Designer</option>
                <option value="Job3">Other</option>
              </select>
            </div>
            <div class="form-field">
              <h3 for="birthday">Date of birth</h3>
              <input
                class="custom-input"
                type="date"
                id="birthday"
                name="birthday"
                value="2000-01-01"
              />
            </div>
          </div>

          <div class="form-line">
            <div class="form-field full-width">
              <h3 for="about">About you</h3>
              <textarea
                class="custom-input"
                id="about"
                name="about"
                rows="4"
                placeholder="| Write your bio"
              ></textarea>
            </div>
          </div>

          <div class="form-line">
            <div class="form-field full-width">
              <h3>What are you interested in</h3>
              <div class="checkbox-container">
                <div class="custom-checkbox">
                  <label
                    >AI
                    <input type="checkbox" id="ai" name="ai" />
                    <span class="checkmark"></span>
                  </label>
                </div>

                <div class="custom-checkbox">
                  <label
                    >ML
                    <input type="checkbox" id="ml" name="ml" />
                    <span class="checkmark"></span>
                  </label>
                </div>

                <div class="custom-checkbox">
                  <label
                    >Frontend
                    <input type="checkbox" id="frontend" name="frontend" />
                    <span class="checkmark"></span>
                  </label>
                </div>

                <div class="custom-checkbox">
                  <label
                    >Backend
                    <input type="checkbox" id="backend" name="backend" />
                    <span class="checkmark"></span>
                  </label>
                </div>

                <div class="custom-checkbox">
                  <label
                    >Fullstack
                    <input type="checkbox" id="fullstack" name="fullstack" />
                    <span class="checkmark"></span>
                  </label>
                </div>
              </div>
            </div>
          </div>

          <div class="form-line button">
            <input class="font-cta" type="submit" value="Submit" />
          </div>
        </form>
      </div>
    </main>
  </body>
</html>
